<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $table = DB::getTablePrefix(). 'global_bounces';
        DB::statement("ALTER TABLE $table CHANGE section section ENUM('Campaign','Drip','Trigger','SplitTest','Add','Other') NOT NULL");
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        $table = DB::getTablePrefix(). 'global_bounces';
        DB::statement("ALTER TABLE $table CHANGE section section ENUM('Campaign','Drip','Trigger','SplitTest','Add','Other') NOT NULL");
    }
};
